summaryrefslogtreecommitdiff
path: root/test_docker.sh
diff options
context:
space:
mode:
authorAdam Hupp <adam@hupp.org>2020-05-05 13:34:16 -0700
committerAdam Hupp <adam@hupp.org>2020-05-05 13:43:31 -0700
commitcd8fb9d25246d8bf90290356186056c631834b7a (patch)
treee6535061eb43ebf4ae42e4020ca9a32ac8d11ee3 /test_docker.sh
parent8ed5dc4759e7e7eb879494f246d3c5eec7580376 (diff)
downloadpython-magic-cd8fb9d25246d8bf90290356186056c631834b7a.tar.gz
Improve test coverage
Make sure we fail early if any versions fail, and move to a python test runner since I can never remember how to use bash.
Diffstat (limited to 'test_docker.sh')
-rwxr-xr-xtest_docker.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/test_docker.sh b/test_docker.sh
index 39a2f12..4cb9943 100755
--- a/test_docker.sh
+++ b/test_docker.sh
@@ -3,6 +3,8 @@
# Test with various versions of ubuntu. This more or less re-creates the
# Travis CI test environment
+set -e
+
function TestInContainer {
local name="$1"
local TAG="python_magic/${name}:latest"